# -*- coding: utf-8 -*-
"""
Tutorial: Week 3

@author: lessig
"""

import numpy as np
import matplotlib.pyplot as plt

def plotVectors2D( vs, col='black') :
    """
    Plot 2D vectors into fig. vs is expected contain the vectors in its rows
    """
    ax = plt.gca()
    for i in range(vs.shape[0]) :
        ax.quiver( 0.0, 0.0, vs[i,0], vs[i,1], angles='xy', scale_units='xy', scale=1, color=col)
    maxaxis = 1.2 * np.max( np.abs(vs))
    ax.set_xlim( [-maxaxis, maxaxis])
    ax.set_ylim( [-maxaxis, maxaxis])
    plt.axes().set_aspect('equal')
    